From 0a437550331ecd519acedb748b34dbeb6d86032a Mon Sep 17 00:00:00 2001
Message-Id: <0a437550331ecd519acedb748b34dbeb6d86032a.1735081137.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Tue, 24 Dec 2024 22:58:38 +0000
Subject: [PATCH] gnu: Add julia-dynamicpolynomials.

* gnu/packages/julia-xyz.scm (julia-dynamicpolynomials): New variable.

Change-Id: I03be75f274c29cb4102e16b76c77c5d9b0a0cb54
---
 gnu/packages/julia-xyz.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 4b778812ca..d320d40ab9 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -2053,6 +2053,37 @@ (define-public julia-dualnumbers
 combinations of dual numbers with predefined Julia numeric types.")
     (license license:expat)))
 
+(define-public julia-dynamicpolynomials
+  (package
+    (name "julia-dynamicpolynomials")
+    (version "0.6.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaAlgebra/DynamicPolynomials.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "07fis5d7paz9s0zf5riw63wmqy8xb95h501p7plajd3w15zar5gh"))))
+    (build-system julia-build-system)
+    (arguments
+     (list
+      #:julia-package-name "DynamicPolynomials"
+      #:julia-package-uuid "7c1d4256-1411-5781-91ec-d7bc3513ac07"
+      #:julia-package-dependencies #~(list '("Future" . "9fa8497b-333b-5362-9e8d-4d0656e87820")
+                                           '("LinearAlgebra" . "37e2e46d-f89d-539d-b4ee-838fcccc9c8e")
+                                           '("Test" . "8dfed614-e22c-5e08-85e1-65c5234f0b40"))))
+    (native-inputs (list julia-chainrulescore julia-combinatorics))
+    (propagated-inputs (list julia-multivariatepolynomials
+                             julia-mutablearithmetics julia-reexport))
+    (home-page "https://github.com/JuliaAlgebra/DynamicPolynomials.jl")
+    (synopsis "Multivariate polynomials implementation in Julia")
+    (description
+     "This package provides a multivariate polynomials implementation of commutative and
+ non-commutative variables.")
+    (license license:expat)))
+
 (define-public julia-earthorientation
   (package
     (name "julia-earthorientation")

base-commit: eb6d784852dfcade2f5052c4d6fc1bd469f3cdb6
-- 
2.34.1

